# R package name (pkg) version (ver) R release (rrel) and RPM release (rel)
%define pkg boot
%define ver 1.1
%define rrel 7
%define rel 1
%define __spec_install-post exit 0

Name: R-%{pkg}
Summary: R-package: Bootstrap functions for R.
Group: Applications/Engineering
Copyright: Unlimited distribution
Prefix: /usr
URL: http://dmawww.epfl.ch/davison.mosaic/BMA/library.html
BuildRoot: %{_tmppath}/R-%{pkg}
Version: %{ver}.R%{rrel}
Release: %{rel}
Source: ftp://ftp.ci.tuwien.ac.at/pub/R/src/contrib/%{pkg}_%{ver}-%{rrel}.tar.gz
Requires: R-base
#Excludearch: sparc

%description
Functions and datasets for bootstrapping from the
book "Bootstrap Methods and Their Applications" by
A.C. Davison and D.V. Hinkley (1997, CUP).

S original by Angelo Canty.
R port by  Brian Ripley <ripley@stats.ox.ac.uk>.

%prep
%setup -q -c

# --------------- Don't change anything below this line --------------

%build
#
mkdir --parents ${RPM_BUILD_ROOT}/usr/lib/R/library

# Some people leave object files in the source, which are not
# replaced. This removes them.
#
rm -f %{pkg}/src/*.o
rm -f %{pkg}/src/*.so

# Install it. You need R-base installed on your build machine for this
#
R INSTALL -l ${RPM_BUILD_ROOT}/usr/lib/R/library %{pkg}

# Doc files. There is no standard here, so we assume anything not in
# one of the standard directories is documentation.
#
mkdir doc
for docfile in `ls %{pkg}`; do
   case $docfile in
      INDEX) ;;
      TITLE) ;;
      R) ;;
      man) ;;
      src) ;;
      src-c) ;;      #deprecated
      data) ;;
      exec) ;;
      *) cp --recursive %{pkg}/${docfile} doc/;;
   esac
done

#gzip $RPM_BUILD_ROOT/usr/man/*/* || :

#Create file list
#
echo "%attr(-, root, root) /usr/lib/R/library/%{pkg}" > rpm-files
ls doc | sed "s@^@%attr(-,root,root) %doc doc/&@" >> rpm-files

%files -f rpm-files

%clean
rm -rf ${RPM_BUILD_ROOT}

%pre
if [ ! -f ${RPM_INSTALL_PREFIX}/lib/R/library/base/TITLE ] || \
   [ ! -x ${RPM_INSTALL_PREFIX}/lib/R/bin/LIBINDEX ]; then
   echo "Can't find R base in" ${RPM_INSTALL_PREFIX}/lib/R
   exit 1
fi

%post
${RPM_INSTALL_PREFIX}/bin/R LIBINDEX

%postun
if [ $1 = 0 ] ; then 
   ${RPM_INSTALL_PREFIX}/bin/R LIBINDEX
fi

%changelog
* Fri Jan  5 2001 Tim Powers <timp@redhat.com>
- updated to 1.1-7

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jun 16 2000 Than Ngo <than@redhat.de>
- update to 1.1-5 for 7.0
- built for sparc

* Tue Feb 08 2000 Tim Powers <timp@redhat.com>
- rebuilt against 0.90.1
- gzip man pages if there are any

* Mon Dec 6 1999 Tim Powers <timp@redhat.com>
- updated to 1.1-4
- quiet setup

* Thu Jul 29 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1, alpha and i386

* Wed Apr 21 1999 Michael K. Johnson <johnsonm@redhat.com>
- built for powertools, new group, etc.
